jif.types

## Class JifSubst_c.SubstLabelSubst

- java.lang.Object
- - jif.types.LabelSubstitution
  - - jif.types.JifSubst_c.SubstLabelSubst

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    JifSubst_c

      protected class JifSubst_c.SubstLabelSubst
      extends LabelSubstitution
      implements java.io.Serializable

  This class is a `LabelSubstitution` that performs substitutions on `Label`s and `Principal`s.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SubstLabelSubst()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessPath` | `substAccessPath(AccessPath ap)`
    `Label` | `substLabel(Label L)`
    `Principal` | `substPrincipal(Principal p)`

    - ### Methods inherited from class jif.types.LabelSubstitution

      `popLabel, pushLabel, recurseIntoChildren, stackContains, substPolicy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubstLabelSubst

          protected SubstLabelSubst()

  - ### Method Detail

    - #### substLabel

          public Label substLabel(Label L)
                           throws polyglot.types.SemanticException

      Overrides:
        `substLabel` in class `LabelSubstitution`
      Throws:
        `polyglot.types.SemanticException`

    - #### substPrincipal

          public Principal substPrincipal(Principal p)
                                   throws polyglot.types.SemanticException

      Overrides:
        `substPrincipal` in class `LabelSubstitution`
      Throws:
        `polyglot.types.SemanticException`

    - #### substAccessPath

          public AccessPath substAccessPath(AccessPath ap)
                                     throws polyglot.types.SemanticException

      Overrides:
        `substAccessPath` in class `LabelSubstitution`
      Throws:
        `polyglot.types.SemanticException`